package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSaleContractE2Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractSaleContractE2Info()
    {
        this("id");
    }
    protected AbstractSaleContractE2Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 第2个表体 's null property 
     */
    public com.kingdee.eas.custom.gggl.SaleContractInfo getParent()
    {
        return (com.kingdee.eas.custom.gggl.SaleContractInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.gggl.SaleContractInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 第2个表体 's 广告位编号 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getGgw()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("ggw");
    }
    public void setGgw(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("ggw", item);
    }
    /**
     * Object: 第2个表体 's 收款类型 property 
     */
    public com.kingdee.eas.custom.gggl.ReceTypeInfo getRecType()
    {
        return (com.kingdee.eas.custom.gggl.ReceTypeInfo)get("recType");
    }
    public void setRecType(com.kingdee.eas.custom.gggl.ReceTypeInfo item)
    {
        put("recType", item);
    }
    /**
     * Object:第2个表体's 收款金额property 
     */
    public java.math.BigDecimal getSkAmount()
    {
        return getBigDecimal("skAmount");
    }
    public void setSkAmount(java.math.BigDecimal item)
    {
        setBigDecimal("skAmount", item);
    }
    /**
     * Object:第2个表体's 税率(%)property 
     */
    public java.math.BigDecimal getRate()
    {
        return getBigDecimal("rate");
    }
    public void setRate(java.math.BigDecimal item)
    {
        setBigDecimal("rate", item);
    }
    /**
     * Object:第2个表体's 收款日期property 
     */
    public java.util.Date getRecDate()
    {
        return getDate("recDate");
    }
    public void setRecDate(java.util.Date item)
    {
        setDate("recDate", item);
    }
    /**
     * Object:第2个表体's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object:第2个表体's 是否生成应收property 
     */
    public boolean isIsYs()
    {
        return getBoolean("isYs");
    }
    public void setIsYs(boolean item)
    {
        setBoolean("isYs", item);
    }
    /**
     * Object:第2个表体's 应收日期property 
     */
    public java.util.Date getSkDate()
    {
        return getDate("skDate");
    }
    public void setSkDate(java.util.Date item)
    {
        setDate("skDate", item);
    }
    /**
     * Object:第2个表体's 收款金额property 
     */
    public java.math.BigDecimal getRecAmount()
    {
        return getBigDecimal("recAmount");
    }
    public void setRecAmount(java.math.BigDecimal item)
    {
        setBigDecimal("recAmount", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("11891824");
    }
}